import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

import javax.sql.DataSource;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;

class Main {
  public static void main(String args[]) throws Exception {
    ApplicationContext ac = new ClassPathXmlApplicationContext("context.xml", Main.class);
    DataSource dataSource = (DataSource) ac.getBean("dataSource");
    // DataSource mysqlDataSource = (DataSource) ac.getBean("mysqlDataSource");

    JdbcTemplate jdbcTemplate = new JdbcTemplate(dataSource);


    System.out.println(jdbcTemplate.query("select first_name from t_customer where id=?",
            new Object[] { 1L },
            new int[] { Types.INTEGER },
            new FirstColumnStringRowMapper()));
  }
}

class FirstColumnStringRowMapper implements RowMapper {
  public Object mapRow(ResultSet resultSet, int i) throws SQLException {
    return resultSet.getString(1);
  }
}